#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - shadow installation
#
# Creation   :  2016-01-24 holbru
# Last update:  $Id: postinstall-shadow.sh 40360 2016-01-24 19:33:14Z hbfl $
#
# Copyright (c) 2016-2016 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=shadow

# ---------------------------------------------------------------------------
# update 2.6.8 
# ---------------------------------------------------------------------------
update_2_6_8()
{
    cd /usr/bin

bin_files='chage
chfn
chsh
expiry
gpasswd
passwd'

    for _FNAME in ${bin_files}
    do
        chown root.shadow "${_FNAME}"
        chmod 4755 "${_FNAME}"
    done

    chmod 4755 newgrp

    # remove unsed files from pwdutils
    rm -rf /etc/pwdutils
    rm -rf /usr/lib/pwdutils
    rm -f /etc/rpasswd.conf
    rm -f /lib/security/pam_rpasswd.so
    rm -f /etc/init.d/rpasswdd
    rm -f /etc/pam.d/rpasswd
    rm -f /usr/share/locale/fr/LC_MESSAGES/pwdutils.mo
    rm -f /usr/share/locale/de/LC_MESSAGES/pwdutils.mo

    cd /
}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
